import java.util.Comparator;

public class HusbandsByIQComparator implements Comparator<PotentialHusband>
{
    public int compare(PotentialHusband hb1, PotentialHusband hb2) {
        if (hb1.getIQ() < hb2.getIQ()) {
            return -1;
        } else if (hb1.getIQ() > hb2.getIQ()) {
            return 1;
        } else {
            return 0;
        }
    }
    
    
    
    /*
    public int compare(PotentialHusband hb1, PotentialHusband hb2) { //using ternary operator
        return (hb1.getIQ() < hb2.getIQ()) ? -1 : ((hb1.getIQ() > hb2.getIQ()) ? 1 : 0);
    }*/
    
    
    
    /*
    public int compare(PotentialHusband hb1, PotentialHusband hb2) { //no need to just return -1 or 1
        return hb1.getIQ() - hb2.getIQ();
    }*/
    
    
}
